OI Payments Docs
API ReferenceInvoices

Get By Id_2

GET
/api/v1/invoices/{id}

Path Parameters

id*integer

Response Body

*/*

curl -X GET "https://example.com/api/v1/invoices/0"
{
  "data": {
    "id": 0,
    "number": "string",
    "status": "string",
    "mode": "string",
    "customerReference": "string",
    "totalMinor": 0,
    "amountPaidMinor": 0,
    "amountDueMinor": 0,
    "currency": "string",
    "dueDate": "2019-08-24",
    "issuedAt": "2019-08-24T14:15:22Z",
    "lineItems": [
      {
        "id": 0,
        "description": "string",
        "qty": 0,
        "unitAmountMinor": 0,
        "lineTotalMinor": 0
      }
    ],
    "payments": [
      {
        "id": 0,
        "reference": "string",
        "status": "string",
        "applicationId": 0,
        "mode": "string",
        "amountMinor": 0,
        "currency": "string",
        "gateway": "string",
        "gatewayTxnId": "string",
        "checkoutUrl": "string",
        "redirectUrl": "string",
        "invoiceId": 0,
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "payableUrl": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}